【经历】禁止wordpress自动升级

发布于 2014-08-07  369 次阅读


WordPress的3.7版本后,后台被设定为自动更新了,比如我下载的时候是3.9的版本,但是现在不止不觉从3.9到3.9.1,然后再到今天的3.9.2了。通常也没有不好,但是wordpress的一个优点是有很多很多的插件可以选择,有时候自动更新了会导致插件出问题。还有,对于一个人来说,总觉得这样被强制更新有种被劫持的味道。像我的主题,大发之前一直在更新,但是用不用我可以自己决定,我觉得这次更新的东西比较好,我就用,不然我就不用,保留原来的版本。这样我有一种自主的权利。会让自己感觉好一些。

禁止自动更新,为了:

1.防止在自己不知情的情况下出现主题和插件跟新版本不兼容情况,自己主动更新了肯定可以第一时间发现问题。

2.拿回对更新这个操作的主动权!被强的感觉总是不太好。

解决方法:这里写下我自己用的方法,我没试过的就不写出来:

在网站根目录下找到wordpress的配置文件,就是里面有数据库信息什么的那个文件--wp-config.php

打开后,在里面最后添加一行数据

define( 'AUTOMATIC_UPDATER_DISABLED', true );

效果:

修改文件前是这样子的

修改前

修改后是这样子的

修改后

 


生命旅客,闷头赶路总不太可取,留一刻给那可爱可敬的人,留一眼给那靓丽迷人之景,也请善待自己~